Subject: Re: [netmod] schema mount issues - ifStacking

From: Athanasios Kyparlis <[email-masked]>
Date: Fri, 15 Apr 2016 20:54:03 +0000

I was wondering how schema-mount would support the use case of ifStacking interfaces across mount-points (e.g. across logical network devices).

Currently, according to rfc7223, higher/lower-layer-if are of type interface-state-ref
     typedef interface-state-ref {
       type leafref {
         path "/if:interfaces-state/if:interface/if:name";
       }
       description
         "This type is used by data models that need to reference
          the operationally present interfaces.";
     }

If I am reading the schema mount draft correctly (3.1), the above reference would be confined to the same mount-point, so, in the specific case, interfaces could only reference higher/lower-layer-ifs within the same logical device/network instance.

How could one reference interfaces across logical device/network instances?

Thanks,
Athanasios

-----Original Message-----
From: netmod [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: Thursday, April 7, 2016 11:01 AM
To: Andy Bierman <[email-masked]>; Ladislav Lhotka <[email-masked]>
Cc: NETMOD WG <[email-masked]>
Subject: Re: [netmod] schema mount issues

All,

The repo has been setup to send notification of changes to netmod. 
We'll have to see how this works, and if it doesn't work well will have figure out what to try next...

Lou
On 4/5/2016 6:07 PM, Lou Berger wrote:
>
> On 4/5/2016 1:40 PM, Andy Bierman wrote:
>>
>> On Tue, Apr 5, 2016 at 10:18 AM, Ladislav Lhotka <[email-masked] 
>> <mailto:[email-masked]>> wrote:
>>
>>     Hi,
>>
>>     during the NETMOD session yesterday, we didn't have much time to
>>     discuss open issues related to schema mount. So I created three
>>     new issues in the GitHub project:
>>
>>     https://github.com/netmod-wg/schema-mount/issues
>>
>>     Please express your opinion there.
>>
>>
>> As a procedural issue I think WG business needs to be conducted on 
>> the WG mailing list, not on github.
>>
> +1
>
> capturing issues somewhere is important, and github is a fine place -- 
> but discussion need to be on list.
>
> -- it would be great if you could gateway issues to the WG list.
>
> Thanks,
> Lou
> (as one of three chairs, ;-)
>>  
>>
>>
>>     Thanks, Lada
>>
>>
>> Andy
>>  
>>
>>     --
>>     Ladislav Lhotka, CZ.NIC Labs
>>     PGP Key ID: E74E8C0C
>>
>>
>>
>>
>>     _______________________________________________
>>     netmod mailing list
>>     [email-masked] <mailto:[email-masked]>
>>     https://www.ietf.org/mailman/listinfo/netmod
>>
>>
>>
>>
>> _______________________________________________
>> netmod mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/netmod
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod